#pragma once

#include "formatter.h"

namespace maps::wiki::poi {
class LonLatFeedComponent;

class CoordsXmlFormatter {
public:
    CoordsXmlFormatter(std::ostream& out);

    ~CoordsXmlFormatter();

    void append(const PoiDef& poiDef, const LonLatFeedComponent& lonLat);

private:
    OutputStreamEmitter emitter_;
};

} // namespace maps::wiki::poi
